extends TimeShift

func _ready() -> void:
	timeshift_check_scene = preload("res://scenes/nodes/boss/boss_timeshift_check.tscn")
	if not timeshift_target:
		push_error("No timeshift target assigned!\nThis may cause errors when timeshifting into obstructed areas!")
		assert(false)
	timeshift_check = timeshift_check_scene.instantiate() as BossTimeshiftCheck
	timeshift_target.add_child.call_deferred(timeshift_check)
